org.appng.formtags

## Class RuleValidation

- java.lang.Object
- - org.appng.formtags.RuleValidation

-     public class RuleValidation
      extends Object

  rule | example
  --- | ---
  captcha(String value, String result) | `captcha('5','5')`

  XXX TODO MM
  Author:
    Matthias Müller

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static List<String>` | `SHORT_RULES`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RuleValidation(Request container)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `captcha(String value, String result)`
    `static boolean` | `email(String string)`
    `static boolean` | `equals(String string1, String string2)`
    `static boolean` | `fileCount(List<FormUpload> fUpload, int minCount, int maxCount)`
    `static boolean` | `fileCountMax(List<FormUpload> fUpload, int count)`
    `static boolean` | `fileCountMin(List<FormUpload> fUpload, int count)`
    `static boolean` | `fileSize(List<FormUpload> fUpload, String minSize, String maxSize)`
    `static boolean` | `fileSizeMax(List<FormUpload> fUpload, String maxSize)`
    `static boolean` | `fileSizeMin(List<FormUpload> fUpload, String minSize)`
    `static boolean` | `fileType(List<FormUpload> fUpload, String types)`
    `Map<String,List<FormUpload>>` | `getFileParams(Map<String,List<FormUpload>> formUploads)`
    `static boolean` | `number(String string)`
    `static boolean` | `number(String string, char separator)`
    `static boolean` | `number(String string, char separator, int digits, int fraction)`
    `static boolean` | `numberFractionDigits(String string, int digits, int fraction)`
    `static boolean` | `regExp(String string, String regex)`
    `static boolean` | `size(Object item, int size)`
    `static boolean` | `sizeMax(Object item, int max)`
    `static boolean` | `sizeMin(Object item, int min)`
    `static boolean` | `sizeMinMax(Object item, int min, int max)`
    `static boolean` | `string(String string)`
    `boolean` | `validate(String rule)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SHORT_RULES

          public static final List<String> SHORT_RULES

  - ### Constructor Detail

    - #### RuleValidation

          public RuleValidation(Request container)

  - ### Method Detail

    - #### getFileParams

          public Map<String,List<FormUpload>> getFileParams(Map<String,List<FormUpload>> formUploads)

    - #### validate

          public boolean validate(String rule)

    - #### string

          public static boolean string(String string)

    - #### captcha

          public static boolean captcha(String value,
                                        String result)

    - #### email

          public static boolean email(String string)

    - #### equals

          public static boolean equals(String string1,
                                       String string2)

    - #### number

          public static boolean number(String string)

    - #### number

          public static boolean number(String string,
                                       char separator)

    - #### numberFractionDigits

          public static boolean numberFractionDigits(String string,
                                                     int digits,
                                                     int fraction)

    - #### number

          public static boolean number(String string,
                                       char separator,
                                       int digits,
                                       int fraction)

    - #### regExp

          public static boolean regExp(String string,
                                       String regex)

    - #### size

          public static boolean size(Object item,
                                     int size)

    - #### sizeMax

          public static boolean sizeMax(Object item,
                                        int max)

    - #### sizeMin

          public static boolean sizeMin(Object item,
                                        int min)

    - #### sizeMinMax

          public static boolean sizeMinMax(Object item,
                                           int min,
                                           int max)

    - #### fileType

          public static boolean fileType(List<FormUpload> fUpload,
                                         String types)

    - #### fileSize

          public static boolean fileSize(List<FormUpload> fUpload,
                                         String minSize,
                                         String maxSize)

    - #### fileSizeMin

          public static boolean fileSizeMin(List<FormUpload> fUpload,
                                            String minSize)

    - #### fileSizeMax

          public static boolean fileSizeMax(List<FormUpload> fUpload,
                                            String maxSize)

    - #### fileCountMin

          public static boolean fileCountMin(List<FormUpload> fUpload,
                                             int count)

    - #### fileCountMax

          public static boolean fileCountMax(List<FormUpload> fUpload,
                                             int count)

    - #### fileCount

          public static boolean fileCount(List<FormUpload> fUpload,
                                          int minCount,
                                          int maxCount)

Copyright © 2011–2023 aiticon GmbH. All rights reserved.